none
WaWebHost.exe - .NET Framework Initialization Error

    Domanda

  • When I try to run an Azure solution using the VS tools, I get this dialog box, with the text "Unable to find a version of the runtime to run this application". Following suggestions in other forums about this error in other apps, I tried repairing my .NET 4.0 installation, and also uninstalling and reinstalling the Azure tools. The versions I have installed are:

    Microsoft .NET Framework 4 Client Profile v4.0.30320

    Microsoft .NET Framework 4 Extended v4.0.30320

    Microsoft .NET Framework 4 Multi-Targeting Pack v4.0.30319

    Windows Azure SDK v1.4.20407.2049

    Windows Azure Tools for Microsoft Visual Studio 2010 1.3 v1.3.31122.1601

    The only other clue I have is a message in the application log for HostableWebCore that says:

    "The worker process failed to pre-load .Net Runtime version v4.0.21030."

    This suggests it requires an older version of .NET 4.0. However, other people on my team have been able to run fine with the same .NET and Azure versions as I have installed, so I'm puzzled. In any case, I cannot find a download of .Net 4.0.21030.

    Ravi

    mercoledì 27 luglio 2011 16:27

Risposte

Tutte le risposte